package com.cm.common.pojo.dtos.bigdatamodule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: BigdataModuleDTO
 * @Description: 大数据展示模块
 * @Author: WenG
 * @Date: 2020-10-19 16:18
 * @Version: 1.0
 **/
@ApiModel
public class BigdataModuleDTO {

    @ApiModelProperty(name = "bigdataModuleId", value = "主键")
    private String bigdataModuleId;
    @ApiModelProperty(name = "bigdataModuleCode", value = "模块编码")
    private String bigdataModuleCode;
    @ApiModelProperty(name = "bigdataModulePhoto", value = "模块预览图")
    private String bigdataModulePhoto;
    @ApiModelProperty(name = "bigdataModuleName", value = "模块名称")
    private String bigdataModuleName;
    @ApiModelProperty(name = "bigdataModuleType", value = "模块类型")
    private String bigdataModuleType;
    @ApiModelProperty(name = "bigdataModuleTypeDictionaryName", value = "模块类型字典名称")
    private String bigdataModuleTypeDictionaryName;
    @ApiModelProperty(name = "bigdataModuleSwitch", value = "模块开关")
    private String bigdataModuleSwitch;
    @ApiModelProperty(name = "bigdataModuleSwitchDictionaryName", value = "模块开关字典名称")
    private String bigdataModuleSwitchDictionaryName;
    @ApiModelProperty(name = "bigdataModuleContent", value = "模块代码内容")
    private String bigdataModuleContent;

    public String getBigdataModuleId() {
        return bigdataModuleId == null ? "" : bigdataModuleId.trim();
    }

    public void setBigdataModuleId(String bigdataModuleId) {
        this.bigdataModuleId = bigdataModuleId;
    }

    public String getBigdataModuleCode() {
        return bigdataModuleCode == null ? "" : bigdataModuleCode.trim();
    }

    public void setBigdataModuleCode(String bigdataModuleCode) {
        this.bigdataModuleCode = bigdataModuleCode;
    }

    public String getBigdataModulePhoto() {
        return bigdataModulePhoto == null ? "" : bigdataModulePhoto.trim();
    }

    public void setBigdataModulePhoto(String bigdataModulePhoto) {
        this.bigdataModulePhoto = bigdataModulePhoto;
    }

    public String getBigdataModuleName() {
        return bigdataModuleName == null ? "" : bigdataModuleName.trim();
    }

    public void setBigdataModuleName(String bigdataModuleName) {
        this.bigdataModuleName = bigdataModuleName;
    }

    public String getBigdataModuleType() {
        return bigdataModuleType == null ? "" : bigdataModuleType.trim();
    }

    public void setBigdataModuleType(String bigdataModuleType) {
        this.bigdataModuleType = bigdataModuleType;
    }

    public String getBigdataModuleTypeDictionaryName() {
        return bigdataModuleTypeDictionaryName == null ? "" : bigdataModuleTypeDictionaryName.trim();
    }

    public void setBigdataModuleTypeDictionaryName(String bigdataModuleTypeDictionaryName) {
        this.bigdataModuleTypeDictionaryName = bigdataModuleTypeDictionaryName;
    }
    public String getBigdataModuleSwitch() {
        return bigdataModuleSwitch == null ? "" : bigdataModuleSwitch.trim();
    }

    public void setBigdataModuleSwitch(String bigdataModuleSwitch) {
        this.bigdataModuleSwitch = bigdataModuleSwitch;
    }

    public String getBigdataModuleSwitchDictionaryName() {
        return bigdataModuleSwitchDictionaryName == null ? "" : bigdataModuleSwitchDictionaryName.trim();
    }

    public void setBigdataModuleSwitchDictionaryName(String bigdataModuleSwitchDictionaryName) {
        this.bigdataModuleSwitchDictionaryName = bigdataModuleSwitchDictionaryName;
    }
    public String getBigdataModuleContent() {
        return bigdataModuleContent == null ? "" : bigdataModuleContent.trim();
    }

    public void setBigdataModuleContent(String bigdataModuleContent) {
        this.bigdataModuleContent = bigdataModuleContent;
    }


}
